'  
'   Rebex Sample Code License
' 
'   Copyright 2024, REBEX CR s.r.o.
'   All rights reserved.
'   https://www.rebex.net/
' 
'   Permission to use, copy, modify, and/or distribute this software for any
'   purpose with or without fee is hereby granted.
' 
'   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
'   EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
'   OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
'   NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
'   HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
'   WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
'   FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
'   OTHER DEALINGS IN THE SOFTWARE.
' 

Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms

''' <summary>
''' A general message dialog.
''' </summary>
Partial Public Class GeneralDialog
    Inherits Form

    ''' <summary>
    ''' Initializes a new instance of the dialog.
    ''' </summary>
    ''' <param name="message">Message to display.</param>
    Public Sub New(ByVal message As String)
        InitializeComponent()

        labelInfo.Text = message
    End Sub

    ''' <summary>
    ''' Displays a dialog with the specified message.
    ''' </summary>
    ''' <param name="owner">Owner of the dialog.</param>
    ''' <param name="message">Message to display.</param>
    ''' <returns>Dialog result.</returns>
    Public Overloads Shared Function ShowDialog(ByVal owner As Control, ByVal message As String) As DialogResult
        Dim dialog As New GeneralDialog(message)
        Return dialog.ShowDialog(owner)
    End Function
End Class
